WAF API
Web application firewall rules, events, and stats
REST API endpoints for WAF. 6 operations.
List recent WAF events
GET /v1/waf/eventsReturns the most recent web application firewall events (up to 100).
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Recent WAF events (up to 100) |
401 | Missing or invalid credentials |
403 | Token lacks the waf:read scope |
500 | Internal error |
operationId: listWafEvents
List WAF rules
GET /v1/waf/rulesReturns all configured web application firewall rules.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | All WAF rules |
401 | Missing or invalid credentials |
403 | Token lacks the waf:read scope |
500 | Internal error |
operationId: listWafRules
Create a WAF rule
POST /v1/waf/rulesAdds a new web application firewall rule and returns the created rule.
Auth: Bearer API key
Request body
application/json (required) — schema CreateRuleRequest.
Responses
| Status | Description |
|---|---|
200 | Rule created |
400 | Rule uses a pattern/action the WAF does not enforce |
401 | Missing or invalid credentials |
403 | Token lacks the waf:write scope |
500 | Internal error |
operationId: createWafRule
Delete a WAF rule
DELETE /v1/waf/rules/{id}Removes a web application firewall rule by id.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Rule id (UUID) |
Responses
| Status | Description |
|---|---|
200 | Rule deleted |
401 | Missing or invalid credentials |
403 | Token lacks the waf:write scope |
404 | Rule not found |
500 | Internal error |
operationId: deleteWafRule
Update a WAF rule
PUT /v1/waf/rules/{id}Replaces the configuration of an existing web application firewall rule.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Rule id (UUID) |
Request body
application/json (required) — schema CreateRuleRequest.
Responses
| Status | Description |
|---|---|
200 | Rule updated |
401 | Missing or invalid credentials |
403 | Token lacks the waf:write scope |
404 | Rule not found |
500 | Internal error |
operationId: updateWafRule
Get WAF statistics
GET /v1/waf/statsReturns combined web application firewall and DDoS-detector counters.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | Combined WAF and DDoS statistics |
401 | Missing or invalid credentials |
403 | Token lacks the waf:read scope |
500 | Internal error |
operationId: getWafStats